import sys, os

scale = 1
radius = 5
rstroke = 1
textoffset = 5
fontsize=10


def getCircle(x,y):
    return "<circle cx=\"{0}\" cy=\"{1}\" r=\"{2}\" stroke=\"black\" stroke-width=\"{3}\" fill=\"red\" />\n".format(x,y,radius,rstroke)

def getLine(x1,y1,x2,y2,scale):
    xh = x1 + (x2 -x1) * 0.5
    yh = y1 + (y2 -y1) *0.5

    return "<polyline points=\"{0},{1} {2},{3} {4},{5}\" style=\"fill:none;stroke:green;stroke-width:3\" />\n".format(x1*scale,y1*scale,xh*scale,yh*scale,x2*scale,y2*scale)
    
def getText(x,y,text):
    return "<text x=\"{0}\" y=\"{1}\" fill=\"blue\" style=\"font-size:{3}px\">{2}</text>\n".format(x,y,text,fontsize)
    
    
f = open("coords.txt","rb")

l = []

lcount = 1

minx = 1000
maxx = -1000
miny = 1000
maxy = -1000

for line in f:
    try:
        temp, y = line.rsplit("/",1)
        y = int(y)
        name,x = temp.rsplit(" ",1)
        x = int(x)
        print [name,x,y,lcount]
        l.append([name,x,y,lcount])
        maxx = max(x,maxx)
        maxy = max(y,maxy)
        minx = min(x,minx)
        miny = min(y,miny)
            
        lcount += 1
    except:
        pass
f.close()

coordDict = {}

for item in l:
    coordDict[item[3]] = [item[1],item[2]]

f = open("connections.txt","rb")

con = []
for line in f:
    temp = [ int(x) for x in line.split(",")]
    for index in range(0,len(temp)):
        if temp[index] > 19:
            temp[index] += 1    
    con.append(temp)


    


o = open("output.svg","wb")
# o.write("<!DOCTYPE html>\n")
# o.write("<html>\n")
# o.write("<body>\n")

o.write("<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n")
o.write("<!DOCTYPE svg PUBLIC \"-//W3C//DTD SVG 20001102//EN\" \"http://www.w3.org/TR/2000/CR-SVG-20001102/DTD/svg-20001102.dtd\">\n")

o.write("<svg viewBox=\"{0} {1} {2} {3}\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" width=\"100%\" height=\"100%\">\n".format(minx*scale-radius,miny*scale-radius,(maxx-minx)*scale+2*radius,(maxy-miny)*scale+2*radius))
for item in con:
    tempcoords = [ coordDict[x] for x in item]
    start = tempcoords[0]
    ends = tempcoords[1:]
    for end in ends:
        o.write(getLine(start[0],start[1],end[0],end[1],scale))
    # print tempcoords
for item in l:
    name = item[0]
    x = item[1]
    y = item[2]
    x=x*scale
    y=y*scale
    o.write( getText(x+textoffset,y+textoffset,name))
    o.write(  getCircle(x,y))

    
o.write("</svg>\n") 
# o.write("</body>\n")
# o.write("</html>\n")
o.close()

# os.startfile("output.svg")